docs
UAEN
API Reference

OCR Result Check

Poll this endpoint to check status of OCR request

GET/api/v1/ocr/{request_id}

Authorizations

X-API-Keystringheaderrequired
Your API key for authentication

Path Parameters

request_idstringpathrequired
Request ID from the original operation

Cookies

wos-sessionstringcookie
Session cookie
access_tokenstringcookie
Access token cookie
datalab_active_teamstringcookie
Active team cookie

Response

Successful Response
OCR Result Check
import requests

url = "https://www.datalab.to/api/v1/ocr/{request_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)
200Success
{
  "status": "<string>",
  "output_format": "<string>",
  "chunks": {},
  "json": {},
  "markdown": "<string>",
  "html": "<string>",
  "images": {},
  "metadata": {},
  "success": true,
  "error": "<string>",
  "page_count": 123,
  "total_cost": 123,
  "runtime": 123,
  "checkpoint_id": "<string>",
  "versions": {}
}